com.tibbo.aggregate.common.discovery

## Class DiscoverableServiceDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.discovery.DiscoverableServiceDefinition

- All Implemented Interfaces:
    java.lang.Cloneable

      public abstract class DiscoverableServiceDefinition
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoverableServiceDefinition(DiscoveryProvider discoveryProvider, java.lang.String name, java.lang.String description, DataTable connectionOptions, int defaultDiscoveryTimeout, int defaultDiscoveryRetries, boolean isEnabledByDefault)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DiscoveryResultItem>` | `check(java.lang.String addressString, long timeoutMilliseconds, int triesCountInt)`
    `DiscoverableServiceDefinition` | `clone()`
    `abstract DiscoverableService` | `createServiceInstance()`
    `java.lang.String` | `deviceType(java.lang.String addressStrings)`
    `DataTable` | `getConnectionOptions()`
    `java.lang.String` | `getDescription()`
    `DiscoveryProvider` | `getDiscoveryProvider()`
    `int` | `getDiscoveryRetries()`
    `long` | `getDiscoveryTimeout()`
    `java.lang.String` | `getName()`
    `boolean` | `isEnabledByDefault()`
    `boolean` | `isUseService()`
    `java.lang.Integer` | `priority()`
    `void` | `setConnectionOptions(DataTable connectionOptions)`
    `void` | `setDiscoveryRetries(int defaultDiscoveryRetries)`
    `void` | `setDiscoveryTimeout(long defaultDiscoveryTimeoutInt)`
    `void` | `setUseService(java.lang.Boolean useService)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoverableServiceDefinition

          public DiscoverableServiceDefinition(DiscoveryProvider discoveryProvider,
                                               java.lang.String name,
                                               java.lang.String description,
                                               DataTable connectionOptions,
                                               int defaultDiscoveryTimeout,
                                               int defaultDiscoveryRetries,
                                               boolean isEnabledByDefault)

  - ### Method Detail

    - #### createServiceInstance

          public abstract DiscoverableService createServiceInstance()

    - #### getName

          public java.lang.String getName()

    - #### getConnectionOptions

          public DataTable getConnectionOptions()

    - #### setConnectionOptions

          public void setConnectionOptions(DataTable connectionOptions)

    - #### getDescription

          public java.lang.String getDescription()

    - #### getDiscoveryTimeout

          public long getDiscoveryTimeout()

    - #### setDiscoveryTimeout

          public void setDiscoveryTimeout(long defaultDiscoveryTimeoutInt)

    - #### getDiscoveryRetries

          public int getDiscoveryRetries()

    - #### setDiscoveryRetries

          public void setDiscoveryRetries(int defaultDiscoveryRetries)

    - #### getDiscoveryProvider

          public DiscoveryProvider getDiscoveryProvider()

    - #### deviceType

          public java.lang.String deviceType(java.lang.String addressStrings)

    - #### priority

          public java.lang.Integer priority()

    - #### clone

          public DiscoverableServiceDefinition clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### setUseService

          public void setUseService(java.lang.Boolean useService)

    - #### isUseService

          public boolean isUseService()

    - #### isEnabledByDefault

          public boolean isEnabledByDefault()

    - #### check

          public java.util.List<DiscoveryResultItem> check(java.lang.String addressString,
                                                           long timeoutMilliseconds,
                                                           int triesCountInt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`